Skip to main content
POST
Create asset upload intent

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

tenant-id
string
required

Specifies the tenant context for the request. All endpoints operate within this tenant scope.

Example:

"tnt_pfh0haxfpzowht3oi213cqos"

Body

application/json

Request body used to create an asset upload intent.

Request body used to create an asset upload intent.

kind
enum<string>
required

Supported first-scope asset kind.

Available options:
BRANDING_LOGO,
BRANDING_BACKGROUND
contentType
enum<string>
required

Supported public raster media content type.

Available options:
image/png,
image/jpeg,
image/webp,
image/gif
sizeBytes
integer

Requested upload size in bytes.

Required range: x <= 9007199254740991
fileName
string

Original asset file name.

Required string length: 1 - 255
Example:

"logo.png"

Response

Default Response

Standard success response payload wrapped in a data property.

data
object
required

Asset upload intent returned by the API.